<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h1><?php echo e(__('admin.Frontend Localization')); ?></h1>
        </div>

        <div class="card card-primary">
            <div class="card-header">
                <h4><?php echo e(__('admin.All Strings')); ?></h4>
                <div class="card-header-action">
                    <a href="<?php echo e(route('admin.category.create')); ?>" class="btn btn-primary">
                        <i class="fas fa-plus"></i> <?php echo e(__('admin.Create new')); ?>

                    </a>
                </div>
            </div>

            <div class="card-body">
                <ul class="nav nav-tabs" id="myTab2" role="tablist">
                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="nav-item">
                            <a class="nav-link <?php echo e($loop->index === 0 ? 'active' : ''); ?>" id="home-tab2" data-toggle="tab"
                                href="#home-<?php echo e($language->lang); ?>" role="tab" aria-controls="home"
                                aria-selected="true"><?php echo e($language->name); ?></a>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </ul>
                <div class="tab-content tab-bordered" id="myTab3Content">
                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="tab-pane fade show <?php echo e($loop->index === 0 ? 'active' : ''); ?>"
                            id="home-<?php echo e($language->lang); ?>" role="tabpanel" aria-labelledby="home-tab2">

                            <div>
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <form method="POST" action="<?php echo e(route('admin.extract-localize-string')); ?>">
                                                <?php echo csrf_field(); ?>
                                                <input type="hidden" name="directory"
                                                    value="<?php echo e(resource_path('views/frontend')); ?>,<?php echo e(app_path('Http/Controllers/Frontend')); ?>,<?php echo e(resource_path('views/mail')); ?>,<?php echo e(resource_path('views/auth')); ?>">
                                                <input type="hidden" name="language_code" value="<?php echo e($language->lang); ?>">
                                                <input type="hidden" name="file_name" value="frontend">

                                                <button type="submit"
                                                    class="btn btn-primary mx-3"><?php echo e(__('admin.Generate Strings')); ?></button>
                                            </form>

                                            <form class="translate-from" method="POST"
                                                action="<?php echo e(route('admin.translate-string')); ?>">
                                                <input type="hidden" name="language_code" value="<?php echo e($language->lang); ?>">
                                                <input type="hidden" name="file_name" value="frontend">
                                                <button  type="submit"
                                                    class="btn btn-dark mx-3 translate-button"><?php echo e(__('admin.Translate Strings')); ?></button>
                                            </form>

                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-striped" id="table-<?php echo e($language->lang); ?>">
                                        <thead>
                                            <tr>
                                                <th class="text-center">
                                                    #
                                                </th>
                                                <th class="text-center">
                                                    <?php echo e(__('admin.String')); ?>

                                                </th>
                                                <th class="text-center">
                                                    <?php echo e(__('admin.Trunslation')); ?>

                                                </th>
                                                <th class="text-center">
                                                    <?php echo e(__('admin.Action')); ?>

                                                </th>

                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                                $translatedValues = trans('frontend', [], $language->lang);
                                                // dd($translatedValues);
                                            ?>

                                            <?php $__currentLoopData = $translatedValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e(++$loop->index); ?></td>
                                                    <td><?php echo e($key); ?></td>
                                                    <td><?php echo e($value); ?></td>
                                                    <td>

                                                        <button data-langcode="<?php echo e($language->lang); ?>"
                                                            data-key="<?php echo e($key); ?>"
                                                            data-value="<?php echo e($value); ?>" data-filename="frontend"
                                                            type="button" class="btn btn-primary modal_btn"
                                                            data-toggle="modal" data-target="#exampleModal">
                                                            <i class="fas fa-edit"></i>
                                                        </button>
                                                    </td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>
            </div>


        </div>
    </section>

    <!-- Button trigger modal -->


    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel"><?php echo e(__('admin.Value')); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="<?php echo e(route('admin.update-lang-string')); ?>" method="POST">
                        <?php echo csrf_field(); ?>
                        <div class="form-group">
                            <label for=""><?php echo e(__('admin.Value')); ?></label>
                            <input type="text" name="value" class="form-control" value="">
                            <input type="hidden" name="lang_code" class="form-control" value="">
                            <input type="hidden" name="key" class="form-control" value="">
                            <input type="hidden" name="file_name" class="form-control" value="">

                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary"
                                data-dismiss="modal"><?php echo e(__('admin.Close')); ?></button>
                            <button type="submit" class="btn btn-primary"><?php echo e(__('admin.Save changes')); ?></button>
                        </div>
                    </form>
                </div>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>
        <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            $("#table-<?php echo e($language->lang); ?>").dataTable({
                "columnDefs": [{
                    "sortable": false,

                }]
            });
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        $(document).ready(function() {
            $('body').on('click', '.modal_btn', function() {
                let langCode = $(this).attr('data-langcode');
                let key = $(this).attr('data-key');
                let value = $(this).attr('data-value');
                let filename = $(this).attr('data-filename');

                $('input[name="lang_code"]').val("")
                $('input[name="key"]').val("")
                $('input[name="value"]').val("")
                $('input[name="file_name"]').val("")

                $('input[name="lang_code"]').val(langCode)
                $('input[name="key"]').val(key)
                $('input[name="value"]').val(value)
                $('input[name="file_name"]').val(filename)
            })

            $('.translate-from').on('submit', function(e) {
                e.preventDefault();
                let formData = $(this).serialize();
                $.ajax({
                    method: 'POST',
                    url: "<?php echo e(route('admin.translate-string')); ?>",
                    data: formData,
                    beforeSend: function(){
                        $('.translate-button').text("Translating Please Wait...")
                        $('.translate-button').prop('disabled', true);
                    },
                    success: function(data) {
                        if (data.status == 'success') {
                            Swal.fire(
                                'Done!',
                                data.message,
                                'success'
                            )
                            window.location.reload();
                        }else {
                            Swal.fire(
                                'Error!',
                                data.message,
                                'error'
                            )
                        }
                    },
                    error: function(data) {
                        console.log(data);
                    }
                })
            })
        })
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.master', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH C:\Users\TUF\Documents\My project\project wb\kaknnea-com\resources\views/admin/localization/frontend-index.blade.php ENDPATH**/ ?>