<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h1><?php echo e(__('admin.Profile')); ?></h1>
            <div class="section-header-breadcrumb">
                <div class="breadcrumb-item active"><a href="#">Dashboard</a></div>
                <div class="breadcrumb-item">Profile</div>
            </div>
        </div>
        <div class="section-body">
            <h2 class="section-title">Hi, <?php echo e($user->name); ?></h2>
            <p class="section-lead">
                <?php echo e(__('admin.Change information about yourself on this page')); ?>.
            </p>

            <div class="row mt-sm-4">

                <div class="col-12 col-md-6">
                    <div class="card">
                        <form method="post" action="<?php echo e(route('admin.profile.update', auth()->guard('admin')->user()->id)); ?>" class="needs-validation" novalidate="" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PUT'); ?>
                            <div class="card-header">
                                <h4><?php echo e(__('admin.Edit Profile')); ?></h4>
                            </div>
                            <div class="card-body">

                                <div class="col-12">
                                    <div id="image-preview" class="image-preview mb-3" >
                                        <label for="image-upload" id="image-label"><?php echo e(__('admin.Choose File')); ?></label>
                                        <input type="file" name="image" id="image-upload">
                                        <input type="hidden" name="old_image" value="<?php echo e($user->image); ?>">

                                    </div>
                                    <?php $__errorArgs = ['image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-danger"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="form-group col-12">
                                    <label><?php echo e(__('admin.First Name')); ?></label>
                                    <input type="text" class="form-control" value="<?php echo e($user->name); ?>" required="" name="name">
                                    <div class="invalid-feedback">
                                        <?php echo e(__('admin.Please fill in the name')); ?>

                                    </div>
                                    <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-danger"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-12">
                                    <label><?php echo e(__('admin.Email')); ?></label>
                                    <input type="text" class="form-control" value="<?php echo e($user->email); ?>" required="" name="email">
                                    <div class="invalid-feedback">
                                        <?php echo e(__('admin.Please fill in the email')); ?>

                                    </div>
                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-danger"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="card-footer text-right">
                                <button class="btn btn-primary"><?php echo e(__('admin.Save Changes')); ?></button>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-12 col-md-6">
                    <div class="card">
                        <form method="post" action="<?php echo e(route('admin.profile-password.update', $user->id)); ?>" class="needs-validation" novalidate="">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PUT'); ?>
                            <div class="card-header">
                                <h4><?php echo e(__('admin.Update Password')); ?></h4>
                            </div>
                            <div class="card-body">
                                <div class="form-group col-12">
                                    <label><?php echo e(__('admin.Old Password')); ?></label>
                                    <input type="password" class="form-control" value="" required="" name="current_password">
                                    <div class="invalid-feedback">
                                        <?php echo e(__('admin.Please fill in the old password')); ?>

                                    </div>
                                    <?php $__errorArgs = ['current_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-danger"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-12">
                                    <label><?php echo e(__('admin.New Password')); ?></label>
                                    <input type="password" class="form-control" value="" required="" name="password">
                                    <div class="invalid-feedback">
                                        <?php echo e(__('admin.Please fill in the new password')); ?>

                                    </div>
                                    <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-danger"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group col-12">
                                    <label><?php echo e(__('admin.Confirmed Password')); ?></label>
                                    <input type="password" class="form-control" value="" required="" name="password_confirmation">
                                    <div class="invalid-feedback">
                                        <?php echo e(__('admin.Please fill in the confirmed password')); ?>

                                    </div>
                                </div>
                            </div>
                            <div class="card-footer text-right">
                                <button class="btn btn-primary"><?php echo e(__('admin.Save Changes')); ?></button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>
        $(document).ready(function(){
            $('.image-preview').css({
                "background-image": "url(<?php echo e(asset($user->image)); ?>)",
                "background-size": "cover",
                "background-position": "center center"
            });
        })
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.master', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /Users/sotheakh/Downloads/kaknnea-com/resources/views/admin/profile/index.blade.php ENDPATH**/ ?>