<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h1><?php echo e(__('admin.Contact Message')); ?></h1>
        </div>

        <div class="card card-primary">
            <div class="card-header">
                <h4><?php echo e(__('admin.All Messages')); ?></h4>

            </div>

            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-striped" id="table-sub">
                        <thead>
                            <tr>
                                <th class="text-center">
                                    #
                                </th>
                                <th><?php echo e(__('admin.Email')); ?></th>

                                <th><?php echo e(__('admin.Subject')); ?></th>
                                <th><?php echo e(__('admin.Message')); ?></th>
                                <th><?php echo e(__('admin.Replied')); ?></th>


                                <th><?php echo e(__('admin.Action')); ?></th>

                            </tr>
                        </thead>
                        <tbody>

                            <?php $__currentLoopData = $messages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $message): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e(++$loop->index); ?></td>
                                    <td><?php echo e($message->email); ?></td>
                                    <td><?php echo e($message->subject); ?></td>
                                    <td><?php echo e($message->message); ?></td>
                                    <td>
                                        <?php if($message->replied == 1): ?>
                                        <i style="font-size:20px" class="fas fa-check text-success"></i>
                                        <?php else: ?>
                                        <i style="font-size:20px" class="fas fa-clock text-warning"></i>
                                        <?php endif; ?>

                                    </td>

                                    
                                    <td>
                                        <a href="" class="btn btn-primary" data-toggle="modal"
                                            data-target="#exampleModal-<?php echo e($message->id); ?>"><i
                                                class="fas fa-envelope"></i></a>

                                        <a href="<?php echo e(route('admin.social-link.destroy', $message->id)); ?>"
                                            class="btn btn-danger delete-item"><i class="fas fa-trash-alt"></i></a>

                                    </td>

                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </tbody>
                    </table>
                </div>
            </div>


        </div>
    </section>

    <?php $__currentLoopData = $messages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $message): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <!-- Modal -->
        <div class="modal fade" id="exampleModal-<?php echo e($message->id); ?>" tabindex="-1" role="dialog"
            aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel"><?php echo e(__('admin.Replay To')); ?>: <?php echo e($message->email); ?></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form action="<?php echo e(route('admin.contact.send-replay')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <div class="form-group">
                                <label for=""><?php echo e(__('admin.Subject')); ?></label>
                                <input type="text" name="subject" id="" class="form-control">
                                <input type="hidden" name="email" value="<?php echo e($message->email); ?>" id=""
                                    class="form-control">
                                <input type="hidden" name="message_id" value="<?php echo e($message->id); ?>" id=""
                                class="form-control">
                                <?php $__errorArgs = ['subject'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-danger"><?php echo e($message); ?></p>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="form-group">
                                <label for=""><?php echo e(__('admin.Message')); ?></label>
                                <textarea name="message" class="form-control" style="height: 200px !important;"></textarea>
                                <?php $__errorArgs = ['message'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-danger"><?php echo e($message); ?></p>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary"
                                    data-dismiss="modal"><?php echo e(__('admin.Close')); ?></button>
                                <button type="submit" class="btn btn-primary"><?php echo e(__('admin.Send')); ?></button>
                            </div>
                        </form>
                    </div>

                </div>
            </div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>
        $("#table-sub").dataTable({
            "columnDefs": [{
                "sortable": false,
                "targets": [1]
            }],
            "order": [[0, "desc"]]
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.master', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH C:\Users\TUF\Documents\My project\project wb\kaknnea-com\resources\views/admin/contact-message/index.blade.php ENDPATH**/ ?>