<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h1><?php echo e(__('admin.Social Links')); ?></h1>
        </div>

        <div class="card card-primary">
            <div class="card-header">
                <h4><?php echo e(__('admin.All link')); ?></h4>
                <div class="card-header-action">
                    <a href="<?php echo e(route('admin.social-link.create')); ?>" class="btn btn-primary">
                        <i class="fas fa-plus"></i> <?php echo e(__('admin.Create new')); ?>

                    </a>
                </div>
            </div>

            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-striped" id="table-sub">
                        <thead>
                            <tr>
                                <th class="text-center">
                                    #
                                </th>
                                <th><?php echo e(__('admin.Icon')); ?></th>

                                <th><?php echo e(__('admin.Url')); ?></th>
                                <th><?php echo e(__('admin.Status')); ?></th>

                                <th><?php echo e(__('admin.Action')); ?></th>

                            </tr>
                        </thead>
                        <tbody>

                            <?php $__currentLoopData = $socialLinks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $link): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e(++$loop->index); ?></td>
                                <td><i style="font-size:30px" class="<?php echo e($link->icon); ?>"></i></td>
                                <td><?php echo e($link->url); ?></td>
                                <td>
                                    <?php if($link->status === 1): ?>
                                    <span class="badge badge-success"><?php echo e(__('admin.Yes')); ?></span>
                                    <?php else: ?>
                                        <span class="badge badge-danger"><?php echo e(__('admin.No')); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <a href="<?php echo e(route('admin.social-link.edit', $link->id)); ?>"
                                        class="btn btn-primary"><i class="fas fa-edit"></i></a>
                                    <a href="<?php echo e(route('admin.social-link.destroy', $link->id)); ?>"
                                        class="btn btn-danger delete-item"><i
                                            class="fas fa-trash-alt"></i></a>

                                </td>

                            </tr>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </tbody>
                    </table>
                </div>
            </div>


        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>
        $("#table-sub").dataTable({
            "columnDefs": [{
                "sortable": false,
                "targets": [1]
            }]
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.master', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH C:\Users\TUF\Documents\My project\project wb\kaknnea-com\resources\views/admin/social-link/index.blade.php ENDPATH**/ ?>