<!DOCTYPE html>
<html lang="">

<head>
    <meta charset="utf-8">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />

    <title><?php if (! empty(trim($__env->yieldContent('title')))): ?> <?php echo $__env->yieldContent('title'); ?> <?php else: ?> <?php echo e($settings['site_seo_title']); ?> <?php endif; ?> </title>
    <meta name="description" content="<?php if (! empty(trim($__env->yieldContent('meta_description')))): ?> <?php echo $__env->yieldContent('meta_description'); ?> <?php else: ?> <?php echo e($settings['site_seo_description']); ?> <?php endif; ?> " />
    <meta name="keywords" content="<?php echo e($settings['site_seo_keywords']); ?>" />

    <meta name="og:title" content="<?php echo $__env->yieldContent('meta_og_title'); ?>" />
    <meta name="og:description" content="<?php echo $__env->yieldContent('meta_og_description'); ?>" />
    <meta name="og:image" content="<?php if (! empty(trim($__env->yieldContent('meta_og_image')))): ?> <?php echo $__env->yieldContent('meta_og_image'); ?> <?php else: ?> <?php echo e(asset($settings['site_logo'])); ?> <?php endif; ?>" />
    <meta name="twitter:title" content="<?php echo $__env->yieldContent('meta_tw_title'); ?>" />
    <meta name="twitter:description" content="<?php echo $__env->yieldContent('meta_tw_description'); ?>" />
    <meta name="twitter:image" content="<?php echo $__env->yieldContent('meta_tw_image'); ?>" />

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="<?php echo e(asset($settings['site_favicon'])); ?>" type="image/png">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css">
    <link href="<?php echo e(asset('frontend/assets/css/styles.css')); ?>" rel="stylesheet">
    <style>
        :root {
            --colorPrimary: <?php echo e($settings['site_color']); ?>;
        }
    </style>
</head>

<body>

    <!-- Global Variables -->
    <?php
        $socialLinks = \App\Models\SocialLink::where('status', 1)->get();
        $footerInfo = \App\Models\FooterInfo::where('language', getLangauge())->first();
        $footerGridOne = \App\Models\FooterGridOne::where(['status' => 1, 'language' => getLangauge()])->get();
        $footerGridTwo = \App\Models\FooterGridTwo::where(['status' => 1, 'language' => getLangauge()])->get();
        $footerGridThree = \App\Models\FooterGridThree::where(['status' => 1, 'language' => getLangauge()])->get();
        $footerGridOneTitle = \App\Models\FooterTitle::where(['key' => 'grid_one_title', 'language' => getLangauge()])->first();
        $footerGridTwoTitle = \App\Models\FooterTitle::where(['key' => 'grid_two_title', 'language' => getLangauge()])->first();
        $footerGridThreeTitle = \App\Models\FooterTitle::where(['key' => 'grid_three_title', 'language' => getLangauge()])->first();
    ?>

    <!-- Header news -->
    <?php echo $__env->make('frontend.layouts.header', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?>
    <!-- End Header news -->

    <?php echo $__env->yieldContent('content'); ?>

    <!-- Footer Section -->
    <?php echo $__env->make('frontend.layouts.footer', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?>
    <!-- End Footer Section -->


    <a href="javascript:" id="return-to-top"><i class="fa fa-chevron-up"></i></a>

    <script type="text/javascript" src="<?php echo e(asset('frontend/assets/js/index.bundle.js')); ?>"></script>
    <?php echo $__env->make('sweetalert::alert', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

    <script>
        const Toast = Swal.mixin({
            toast: true,
            position: 'top-end',
            showConfirmButton: false,
            timer: 3000,
            timerProgressBar: true,
            didOpen: (toast) => {
                toast.addEventListener('mouseenter', Swal.stopTimer)
                toast.addEventListener('mouseleave', Swal.resumeTimer)
            }
        })


        // Add csrf token in ajax request
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $(document).ready(function() {
            /** change language **/
            $('#site-language').on('change', function() {
                let languageCode = $(this).val();
                $.ajax({
                    method: 'GET',
                    url: "<?php echo e(route('language')); ?>",
                    data: {
                        language_code: languageCode
                    },
                    success: function(data) {
                        if (data.status === 'success') {
                            window.location.href = "<?php echo e(url('/')); ?>";
                        }
                    },
                    error: function(data) {
                        console.error(data);
                    }
                })
            })

            /** Subscribe Newsletter**/
            $('.newsletter-form').on('submit', function(e) {
                e.preventDefault();
                $.ajax({
                    method: 'POST',
                    url: "<?php echo e(route('subscribe-newsletter')); ?>",
                    data: $(this).serialize(),
                    beforeSend: function() {
                        $('.newsletter-button').text('loading...');
                        $('.newsletter-button').attr('disabled', true);
                    },
                    success: function(data) {
                        if (data.status === 'success') {
                            Toast.fire({
                                icon: 'success',
                                title: data.message
                            })
                            $('.newsletter-form')[0].reset();
                            $('.newsletter-button').text('sign up');

                            $('.newsletter-button').attr('disabled', false);
                        }
                    },
                    error: function(data) {
                        $('.newsletter-button').text('sign up');
                        $('.newsletter-button').attr('disabled', false);

                        if (data.status === 422) {
                            let errors = data.responseJSON.errors;
                            $.each(errors, function(index, value) {
                                Toast.fire({
                                    icon: 'error',
                                    title: value[0]
                                })
                            })
                        }
                    }
                })
            })
        })
    </script>



    <?php echo $__env->yieldPushContent('content'); ?>

</body>

</html>
<?php /**PATH /Users/sotheakh/Downloads/kaknnea-com/resources/views/frontend/layouts/master.blade.php ENDPATH**/ ?>