<?php $__env->startSection('content'); ?>
<section class="blog_pages">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <!-- Breadcrumb -->
                <ul class="breadcrumbs bg-light mb-4">
                    <li class="breadcrumbs__item">
                        <a href="<?php echo e(url('/')); ?>" class="breadcrumbs__url">
                            <i class="fa fa-home"></i> <?php echo e(__('frontend.Home')); ?></a>
                    </li>
                    <li class="breadcrumbs__item">
                        <a href="javascirt:;" class="breadcrumbs__url"><?php echo e(__('frontend.News')); ?></a>
                    </li>

                </ul>
            </div>

        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-md-8">

                <div class="blog_page_search">
                    <form action="<?php echo e(route('news')); ?>" method="GET">
                        <div class="row">
                            <div class="col-lg-5">
                                <input type="text" placeholder="Type here" value="<?php echo e(request()->search); ?>" name="search">
                            </div>
                            <div class="col-lg-4">
                                <select name="category">
                                    <option value=""><?php echo e(__('frontend.All')); ?></option>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php echo e($category->slug === request()->category ? 'selected' : ''); ?> value="<?php echo e($category->slug); ?>"><?php echo e($category->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                </select>
                            </div>
                            <div class="col-lg-3">
                                <button type="submit"><?php echo e(__('frontend.search')); ?></button>
                            </div>
                        </div>
                    </form>
                </div>

                <aside class="wrapper__list__article ">
                    <?php if(request()->has('category')): ?>

                    <h4 class="border_section"><?php echo e(__('frontend.Category')); ?>: <?php echo e(request()->category); ?></h4>
                    <?php endif; ?>

                    <div class="row">
                        <?php $__currentLoopData = $news; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-lg-6">
                            <!-- Post Article -->
                            <div class="article__entry">
                                <div class="article__image">

                                    
                                    <a href="<?php echo e(route('news-details', $post->slug)); ?>">
                                        <img src="<?php echo e(asset($post->image)); ?>" alt="" class="img-fluid">
                                    </a>
                                </div>
                                <div class="article__content">
                                    <div class="article__category">
                                        <?php echo e($post->category->name); ?>

                                    </div>
                                  
                                    <h5>
                                        <a href="<?php echo e(route('news-details', $post->slug)); ?>">
                                            <?php echo truncate($post->title); ?>

                                        </a>
                                    </h5>
                                    <p>
                                        <?php echo truncate($post->content, 100); ?>

                                    </p>
                                    <a href="<?php echo e(route('news-details', $post->slug)); ?>" class="btn btn-outline-primary mb-4 text-capitalize"> <?php echo e(__('frontend.read more')); ?></a>
                                      <ul class="list-inline">
                                        <li class="list-inline-item">
                                            <span class="text-primary">
                                                <?php echo e(__('frontend.by')); ?> <?php echo e($post->auther->name); ?>

                                            </span>
                                        </li>
                                        <li class="list-inline-item">
                                            <span class="text-dark text-capitalize">
                                                <?php echo e(date('M d, Y', strtotime($post->created_at))); ?>

                                            </span>
                                        </li>

                                    </ul>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php if(count($news) === 0): ?>
                            <div class="text-center w-100" >
                                <h4 ><?php echo e(__('frontend.No News Found')); ?> :(</h4>
                            </div>
                        <?php endif; ?>
                    </div>

                </aside>
                <div class="text-center" style="display: flex;
                justify-content: center;">
                    <!-- Pagination -->
                    <?php echo e($news->appends(request()->query())->links()); ?>

                </div>
            </div>
            <div class="col-md-4">
                <div class="sidebar-sticky">
                    <aside class="wrapper__list__article ">
                        <h4 class="border_section"><?php echo e(__('frontend.Sidebar')); ?></h4>
                        <div class="wrapper__list__article-small">
                            <?php $__currentLoopData = $recentNews; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $news): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($loop->index <= 2): ?>
                            <div class="mb-3">
                                <!-- Post Article -->
                                <div class="card__post card__post-list">
                                    <div class="image-sm">
                                        <a href="<?php echo e(route('news-details', $news->slug)); ?>">
                                            <img src="<?php echo e(asset($news->image)); ?>" class="img-fluid" alt="">
                                        </a>
                                    </div>


                                    <div class="card__post__body ">
                                        <div class="card__post__content">
                                            <div class="card__post__title">
                                                <h6>
                                                    <a href="<?php echo e(route('news-details', $news->slug)); ?>">
                                                        <?php echo truncate($news->title); ?>

                                                    </a>
                                                </h6>
                                            </div>
                                            <div class="card__post__author-info mb-2">
                                                <ul class="list-inline">
                                                    <li class="list-inline-item">
                                                        <span class="text-primary">
                                                            <?php echo e(__('frontend.by')); ?> <?php echo e($news->auther->name); ?>

                                                        </span>
                                                    </li>
                                                    <li class="list-inline-item">
                                                        <span class="text-dark text-capitalize">
                                                            <?php echo e(date('M d, Y', strtotime($news->created_at))); ?>

                                                        </span>
                                                    </li>

                                                </ul>
                                            </div>
                                           
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php $__currentLoopData = $recentNews; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $news): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($loop->index > 2): ?>
                            <!-- Post Article -->
                            <div class="article__entry">
                                <div class="article__image">
                                    <a href="<?php echo e(route('news-details', $news->slug)); ?>">
                                        <img src="<?php echo e(asset($news->image)); ?>" alt="" class="img-fluid">
                                    </a>
                                </div>
                                <div class="article__content">
                                    <div class="article__category">
                                        <?php echo e($news->category->name); ?>

                                    </div>
                                    
                                    <h5>
                                        <a href="<?php echo e(route('news-details', $news->slug)); ?>">
                                            <?php echo truncate($news->title); ?>

                                        </a>
                                    </h5>
                                    <p>
                                        <?php echo truncate($news->content, 100); ?>

                                    </p>
                                    <a href="<?php echo e(route('news-details', $news->slug)); ?>" class="btn btn-outline-primary mb-4 text-capitalize"> <?php echo e(__('frontend.read more')); ?></a>
                                    
                                    <ul class="list-inline">
                                        <li class="list-inline-item">
                                            <span class="text-primary">
                                                <?php echo e(__('frontend.by')); ?> <?php echo e($news->auther->name); ?>

                                            </span>
                                        </li>
                                        <li class="list-inline-item">
                                            <span class="text-dark text-capitalize">
                                                <?php echo e(date('M d, Y', strtotime($news->created_at))); ?>

                                            </span>
                                        </li>

                                    </ul>
                                </div>
                            </div>
                            <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </aside>

                    <aside class="wrapper__list__article">
                        <h4 class="border_section"><?php echo e(__('frontend.tags')); ?></h4>
                        <div class="blog-tags p-0">
                            <ul class="list-inline">
                                <?php $__currentLoopData = $mostCommonTags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="list-inline-item">
                                    <a href="<?php echo e(route('news', ['tag' => $tag->name])); ?>">
                                        #<?php echo e($tag->name); ?> (<?php echo e($tag->count); ?>)
                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>






                                
                            </ul>
                        </div>
                    </aside>

                    <aside class="wrapper__list__article">
                        <h4 class="border_section"><?php echo e(__('frontend.newsletter')); ?></h4>
                        <!-- Form Subscribe -->
                        <div class="widget__form-subscribe bg__card-shadow">
                            <h6>
                                <?php echo e(__('frontend.The most important world news and events of the day')); ?>.
                            </h6>
                            <p><small><?php echo e(__('frontend.Get magzrenvi daily newsletter on your inbox')); ?>.</small></p>
                            <form action="" class="newsletter-form">
                                <div class="input-group ">
                                    <input type="text" class="form-control" name="email" placeholder="Your email address">
                                    <div class="input-group-append">
                                        <button class="btn btn-primary newsletter-button" type="submit"><?php echo e(__('frontend.sign up')); ?></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </aside>

                    <?php if($ad->side_bar_ad_status == 1): ?>
                    <aside class="wrapper__list__article">
                        <h4 class="border_section"><?php echo e(__('frontend.Advertise')); ?></h4>
                        <a href="<?php echo e($ad->side_bar_ad_url); ?>">
                            <figure>
                                <img src="<?php echo e(asset($ad->side_bar_ad)); ?>" alt="" class="img-fluid">
                            </figure>
                        </a>
                    </aside>
                    <?php endif; ?>
                </div>
            </div>

            <div class="clearfix"></div>
        </div>
    </div>
    <?php if($ad->news_page_ad_status == 1): ?>
    <div class="large_add_banner my-4">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="large_add_banner_img">
                        <a href="<?php echo e($ad->news_page_ad_url); ?>">
                            <img src="<?php echo e(asset($ad->news_page_ad)); ?>" alt="adds">
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
</section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layouts.master', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH C:\Users\TUF\Documents\My project\project wb\kaknnea-com\resources\views/frontend/news.blade.php ENDPATH**/ ?>