<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
  <title>Login &mdash; Stisla</title>

  <!-- General CSS Files -->
  <link rel="stylesheet" href="<?php echo e(asset('admin/assets/modules/bootstrap/css/bootstrap.min.css')); ?>">
  <link rel="stylesheet" href="<?php echo e(asset('admin/assets/modules/fontawesome/css/all.min.css')); ?>">

  <!-- CSS Libraries -->
  <link rel="stylesheet" href="<?php echo e(asset('admin/assets/modules/bootstrap-social/bootstrap-social.css')); ?>">

  <!-- Template CSS -->
  <link rel="stylesheet" href="<?php echo e(asset('admin/assets/css/style.css')); ?>">
  <link rel="stylesheet" href="<?php echo e(asset('admin/assets/css/components.css')); ?>">
<!-- Start GA -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-94034622-3"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-94034622-3');
</script>
<!-- /END GA --></head>

<body>
  <div id="app">
    <section class="section">
      <div class="container mt-5">
        <div class="row">
          <div class="col-12 col-sm-8 offset-sm-2 col-md-6 offset-md-3 col-lg-6 offset-lg-3 col-xl-4 offset-xl-4">
            <div class="login-brand">
              <img src="assets/img/stisla-fill.svg" alt="logo" width="100" class="shadow-light rounded-circle">
            </div>

            <div class="card card-primary">
              <div class="card-header"><h4><?php echo e(__('admin.Login')); ?></h4></div>

              <div class="card-body">
                <?php if(session()->has('success')): ?>
                    <i><b style="color:green"><?php echo e(session()->get('success')); ?></b></i>
                <?php endif; ?>
                <form method="POST" action="<?php echo e(route('admin.handle-login')); ?>" class="needs-validation" novalidate="">
                    <?php echo csrf_field(); ?>
                  <div class="form-group">
                    <label for="email"><?php echo e(__('admin.Email')); ?></label>
                    <input id="email" type="email" class="form-control" name="email" tabindex="1" required autofocus>
                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <code><?php echo e($message); ?></code>
                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    <div class="invalid-feedback">
                      <?php echo e(__('admin.Please fill in your email')); ?>

                    </div>
                  </div>

                  <div class="form-group">
                    <div class="d-block">
                    	<label for="password" class="control-label"><?php echo e(__('admin.Password')); ?></label>
                      <div class="float-right">
                        <a href="<?php echo e(route('admin.forgot-password')); ?>" class="text-small">
                          <?php echo e(__('admin.Forgot Password?')); ?>

                        </a>
                      </div>
                    </div>
                    <input id="password" type="password" class="form-control" name="password" tabindex="2" required>
                    <div class="invalid-feedback">
                      <?php echo e(__('admin.please fill in your password')); ?>

                    </div>
                  </div>

                  <div class="form-group">
                    <div class="custom-control custom-checkbox">
                      <input type="checkbox" name="remember" class="custom-control-input" tabindex="3" id="remember-me">
                      <label class="custom-control-label" for="remember-me"><?php echo e(__('admin.Remember Me')); ?></label>
                    </div>
                  </div>

                  <div class="form-group">
                    <button type="submit" class="btn btn-primary btn-lg btn-block" tabindex="4">
                      <?php echo e(__('admin.Login')); ?>

                    </button>
                  </div>
                </form>


              </div>
            </div>

            <div class="simple-footer">
              <?php echo e(__('admin.Copyright')); ?> &copy; <?php echo e(__('admin.WebSolutionUs 2023')); ?>

            </div>
          </div>
        </div>
      </div>
    </section>
  </div>

  <!-- General JS Scripts -->
  <script src="<?php echo e(asset('admin/assets/modules/jquery.min.js')); ?>"></script>
  <script src="<?php echo e(asset('admin/assets/modules/popper.js')); ?>"></script>
  <script src="<?php echo e(asset('admin/assets/modules/tooltip.js')); ?>"></script>
  <script src="<?php echo e(asset('admin/assets/modules/bootstrap/js/bootstrap.min.js')); ?>"></script>
  <script src="<?php echo e(asset('admin/assets/modules/nicescroll/jquery.nicescroll.min.js')); ?>"></script>
  <script src="<?php echo e(asset('admin/assets/modules/moment.min.js')); ?>"></script>
  <script src="<?php echo e(asset('admin/assets/js/stisla.js')); ?>"></script>

  <!-- JS Libraies -->

  <!-- Page Specific JS File -->

  <!-- Template JS File -->
  <script src="<?php echo e(asset('admin/assets/js/scripts.js')); ?>"></script>
  <script src="<?php echo e(asset('admin/assets/js/custom.js')); ?>"></script>
</body>
</html>
<?php /**PATH C:\Users\TUF\Documents\My project\New folder\kaknnea-com\resources\views/admin/auth/login.blade.php ENDPATH**/ ?>