<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h1><?php echo e(__('admin.News')); ?></h1>
        </div>

        <div class="card card-primary">
            <div class="card-header">
                <h4><?php echo e(__('admin.All News')); ?></h4>
                <div class="card-header-action">
                    <a href="<?php echo e(route('admin.news.create')); ?>" class="btn btn-primary">
                        <i class="fas fa-plus"></i> <?php echo e(__('admin.Create new')); ?>

                    </a>
                </div>
            </div>

            <div class="card-body">
                <ul class="nav nav-tabs" id="myTab2" role="tablist">
                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="nav-item">
                            <a class="nav-link <?php echo e($loop->index === 0 ? 'active' : ''); ?>" id="home-tab2" data-toggle="tab"
                                href="#home-<?php echo e($language->lang); ?>" role="tab" aria-controls="home"
                                aria-selected="true"><?php echo e($language->name); ?></a>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </ul>
                <div class="tab-content tab-bordered" id="myTab3Content">
                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            if(canAccess(['news all-access'])){
                                $news = \App\Models\News::with('category')
                                ->where('language', $language->lang)
                                ->where('is_approved', 1)
                                ->orderBy('id', 'DESC')
                                ->get();
                            }else {
                                $news = \App\Models\News::with('category')
                                ->where('language', $language->lang)
                                ->where('is_approved', 1)
                                ->where('auther_id', auth()->guard('admin')->user()->id)
                                ->orderBy('id', 'DESC')
                                ->get();
                            }
                        ?>
                        <div class="tab-pane fade show <?php echo e($loop->index === 0 ? 'active' : ''); ?>"
                            id="home-<?php echo e($language->lang); ?>" role="tabpanel" aria-labelledby="home-tab2">
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-striped" id="table-<?php echo e($language->lang); ?>">
                                        <thead>
                                            <tr>
                                                <th class="text-center">
                                                    #
                                                </th>
                                                <th><?php echo e(__('admin.Image')); ?></th>
                                                <th><?php echo e(__('admin.Title')); ?></th>
                                                <th><?php echo e(__('admin.Category')); ?></th>
                                                <?php if(canAccess(['news status', 'news all-access'])): ?>
                                                <th><?php echo e(__('admin.In Breaking')); ?></th>
                                                <th><?php echo e(__('admin.In Slider')); ?></th>
                                                <th><?php echo e(__('admin.In Popular')); ?></th>
                                                <?php endif; ?>
                                                <th><?php echo e(__('admin.Status')); ?></th>
                                                <th><?php echo e(__('admin.Action')); ?></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php $__currentLoopData = $news; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($item->id); ?></td>
                                                    <td >
                                                        <img src="<?php echo e(asset($item->image)); ?>" width="100" alt="">
                                                    </td>

                                                    <td><?php echo e($item->title); ?></td>
                                                    <td><?php echo e($item->category->name); ?></td>
                                                    <?php if(canAccess(['news status', 'news all-access'])): ?>
                                                        <td>
                                                            <label class="custom-switch mt-2">
                                                                <input <?php echo e($item->is_breaking_news === 1 ? 'checked' : ''); ?>

                                                                    data-id="<?php echo e($item->id); ?>" data-name="is_breaking_news"
                                                                    value="1" type="checkbox" class="custom-switch-input toggle-status">
                                                                <span class="custom-switch-indicator"></span>
                                                            </label>
                                                        </td>

                                                        <td>
                                                            <label class="custom-switch mt-2">
                                                                <input <?php echo e($item->show_at_slider === 1 ? 'checked' : ''); ?>

                                                                    data-id="<?php echo e($item->id); ?>" data-name="show_at_slider"
                                                                    value="1" type="checkbox" class="custom-switch-input toggle-status">
                                                                <span class="custom-switch-indicator"></span>
                                                            </label>
                                                        </td>

                                                        <td>
                                                            <label class="custom-switch mt-2">
                                                                <input <?php echo e($item->show_at_popular === 1 ? 'checked' : ''); ?>

                                                                    data-id="<?php echo e($item->id); ?>" data-name="show_at_popular"
                                                                    value="1" type="checkbox" class="custom-switch-input toggle-status">
                                                                <span class="custom-switch-indicator"></span>
                                                            </label>
                                                        </td>
                                                    <?php endif; ?>

                                                    <td>
                                                        <label class="custom-switch mt-2">
                                                            <input <?php echo e($item->status === 1 ? 'checked' : ''); ?>

                                                                data-id="<?php echo e($item->id); ?>" data-name="status"
                                                                value="1" type="checkbox" class="custom-switch-input toggle-status">
                                                            <span class="custom-switch-indicator"></span>
                                                        </label>
                                                    </td>


                                                    <td>
                                                        <a href="<?php echo e(route('admin.news.edit', $item->id)); ?>"
                                                            class="btn btn-primary"><i class="fas fa-edit"></i></a>
                                                        <a href="<?php echo e(route('admin.news.destroy', $item->id)); ?>"
                                                            class="btn btn-danger delete-item"><i
                                                                class="fas fa-trash-alt"></i></a>
                                                        <a href="<?php echo e(route('admin.news-copy', $item->id)); ?>"
                                                            class="btn btn-primary"><i class="fas fa-copy"></i></i></a>
                                                    </td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>
            </div>


        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>
        <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            $("#table-<?php echo e($language->lang); ?>").dataTable({
                "columnDefs": [
                    {
                        "sortable": false,
                        "targets": [2, 3]
                    }
                ],
                "order": [
                    [0, 'desc']
                ]
            });
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        $(document).ready(function(){
            $('.toggle-status').on('click', function(){
                let id = $(this).data('id');
                let name = $(this).data('name');
                let status = $(this).prop('checked') ? 1 : 0;

                $.ajax({
                    method: 'GET',
                    url: "<?php echo e(route('admin.toggle-news-status')); ?>",
                    data: {
                        id:id,
                        name:name,
                        status:status
                    },
                    success: function(data){
                        if(data.status === 'success'){
                            Toast.fire({
                                icon: 'success',
                                title: data.message
                            })
                        }
                    },
                    error: function(error){
                        console.log(error);
                    }
                })
            })
        })
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.master', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH C:\Users\TUF\Documents\My project\project wb\kaknnea-com\resources\views/admin/news/index.blade.php ENDPATH**/ ?>