<!-- Setting metas -->
<?php $__env->startSection('title', $news->title); ?>
<?php $__env->startSection('meta_description', $news->meta_description); ?>
<?php $__env->startSection('meta_og_title', $news->meta_title); ?>
<?php $__env->startSection('meta_og_description', $news->meta_description); ?>
<?php $__env->startSection('meta_og_image', asset($news->image)); ?>
<?php $__env->startSection('meta_tw_title', $news->meta_title); ?>
<?php $__env->startSection('meta_tw_description', $news->meta_description); ?>
<?php $__env->startSection('meta_tw_image', asset($news->image)); ?>
<!-- End Setting metas -->
<?php $__env->startSection('content'); ?>
<section class="pb-80">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <!-- breaddcrumb -->
                <!-- Breadcrumb -->
                <ul class="breadcrumbs bg-light mb-4">
                    <li class="breadcrumbs__item">
                        <a href="<?php echo e(url('/')); ?>" class="breadcrumbs__url">
                            <i class="fa fa-home"></i> <?php echo e(__('frontend.Home')); ?></a>
                    </li>
                    <li class="breadcrumbs__item">
                        <a href="javascript:;" class="breadcrumbs__url"><?php echo e(__('frontend.News')); ?></a>
                    </li>
                </ul>
                <!-- end breadcrumb -->
            </div>
            <div class="col-md-8">
                <!-- content article detail -->
                <!-- Article Detail -->
                <div class="wrap__article-detail">
                    <div class="wrap__article-detail-title">
                        <h1>
                            <?php echo $news->title; ?>

                        </h1>

                    </div>
                    <hr>
                    <div class="wrap__article-detail-info">
                        <ul class="list-inline d-flex flex-wrap justify-content-start">
                            <li class="list-inline-item">
                                <?php echo e(__('frontend.By')); ?>

                                <a href="#">
                                    <?php echo e($news->auther->name); ?>

                                </a>
                            </li>
                            <li class="list-inline-item">
                                <span class="text-dark text-capitalize ml-1">

                                    <?php echo e(date('M D, Y', strtotime($news->created_at))); ?>

                                </span>
                            </li>
                            <li class="list-inline-item">
                                <span class="text-dark text-capitalize">
                                    <?php echo e(__('frontend.in')); ?>

                                </span>
                                <a href="#">
                                    <?php echo e($news->category->name); ?>

                                </a>


                            </li>
                        </ul>
                    </div>

                    <div class="wrap__article-detail-image mt-4">
                        <figure>
                            <img src="<?php echo e(asset($news->image)); ?>" alt="" class="img-fluid">
                        </figure>
                    </div>
                    <div class="wrap__article-detail-content">
                        <div class="total-views">
                            <div class="total-views-read">
                                <?php echo e(convertToKFormat($news->views)); ?>

                                <span>
                                    <?php echo e(__('frontend.views')); ?>

                                </span>
                            </div>

                            <ul class="list-inline">
                                <span class="share"><?php echo e(__('frontend.share on:')); ?></span>
                                <li class="list-inline-item">
                                    <a class="btn btn-social-o facebook" href="https://www.facebook.com/sharer/sharer.php?u=<?php echo e(url()->current()); ?>" target="_blank">
                                        <i class="fa fa-facebook-f"></i>
                                        <span><?php echo e(__('frontend.facebook')); ?></span>
                                    </a>

                                </li>
                                <li class="list-inline-item">
                                    <a class="btn btn-social-o twitter" href="https://twitter.com/intent/tweet?text=<?php echo e($news->title); ?>&url=<?php echo e(url()->current()); ?>" target="_blank">
                                        <i class="fa fa-twitter"></i>
                                        <span><?php echo e(__('frontend.twitter')); ?></span>
                                    </a>
                                </li>
                                <li class="list-inline-item">
                                    <a class="btn btn-social-o whatsapp" href="https://wa.me/?text=<?php echo e($news->title); ?>%20<?php echo e(url()->current()); ?>" target="_blank">
                                        <i class="fa fa-whatsapp"></i>
                                        <span><?php echo e(__('frontend.whatsapp')); ?></span>
                                    </a>
                                </li>
                                <li class="list-inline-item">
                                    <a class="btn btn-social-o telegram" href="https://t.me/share/url?url=<?php echo e(url()->current()); ?>&text=<?php echo e($news->title); ?>" target="_blank">
                                        <i class="fa fa-telegram"></i>
                                        <span><?php echo e(__('frontend.telegram')); ?></span>
                                    </a>
                                </li>

                                <li class="list-inline-item">
                                    <a class="btn btn-linkedin-o linkedin" href="https://www.linkedin.com/shareArticle?mini=true&url=<?php echo e(url()->current()); ?>&title=<?php echo e($news->title); ?>" target="_blank">
                                        <i class="fa fa-linkedin"></i>
                                        <span><?php echo e(__('frontend.linkedin')); ?></span>
                                    </a>
                                </li>

                            </ul>
                        </div>
                        <p class="has-drop-cap-fluid">
                            <?php echo $news->content; ?>

                        </p>
                    </div>


                </div>
                <!-- end content article detail -->

                <!-- tags -->
                <!-- News Tags -->
                <div class="blog-tags">
                    <ul class="list-inline">
                        <li class="list-inline-item">
                            <i class="fa fa-tags">
                            </i>
                        </li>
                        <?php $__currentLoopData = $news->tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="list-inline-item">
                            <a href="#">
                                #<?php echo e($tag->name); ?>

                            </a>
                        </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </ul>
                </div>
                <!-- end tags-->

                <!-- authors-->
                <!-- Profile author -->
                <div class="wrap__profile">
                    <div class="wrap__profile-author">
                        <figure>
                            <img style="width: 200px;height: 200px;object-fit: cover;" src="<?php echo e(asset($news->auther->image)); ?>" alt="" class="img-fluid rounded-circle">
                        </figure>
                        <div class="wrap__profile-author-detail">
                            <div class="author-wrapper">
                                <div class="wrap__profile-author-detail-name"><?php echo e($news->auther->getRoleNames()->first()); ?></div>
                            <h4><?php echo e($news->auther->name); ?></h4>

                            </div>
                        </div>
                    </div>
                </div>
                <!-- end author-->

                <!-- Comment  -->
                <?php if(auth()->guard()->check()): ?>
                <div id="comments" class="comments-area">
                    <h3 class="comments-title"><?php echo e($news->comments()->count()); ?> <?php echo e(__('frontend.Comments:')); ?></h3>

                    <ol class="comment-list">
                        <?php $__currentLoopData = $news->comments()->whereNull('parent_id')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $comment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                        <li class="comment">
                            <aside class="comment-body">
                                <div class="comment-meta">
                                    <div class="comment-author vcard">
                                        <img src="<?php echo e(asset('frontend/assets/images/avatar.png')); ?>" class="avatar" alt="image">
                                        <b class="fn"><?php echo e($comment->user->name); ?></b>
                                        <span class="says"><?php echo e(__('frontend.says')); ?>:</span>
                                    </div>

                                    <div class="comment-metadata">
                                        <a href="javascript:;">
                                            <span><?php echo e(date('M, d, Y H:i', strtotime($comment->created_at))); ?></span>
                                        </a>
                                    </div>
                                </div>

                                <div class="comment-content">
                                    <p>
                                        <?php echo e($comment->comment); ?>

                                    </p>
                                </div>

                                <div class="reply">
                                    <a href="#" class="comment-reply-link" data-toggle="modal"
                                        data-target="#exampleModal-<?php echo e($comment->id); ?>"><?php echo e(__('frontend.Reply')); ?></a>
                                    <span class="delete-msg" data-id="<?php echo e($comment->id); ?>">
                                        <i class="fa fa-trash"></i>
                                    </span>
                                </div>
                            </aside>

                            <?php if($comment->reply()->count() > 0): ?>
                            <?php $__currentLoopData = $comment->reply; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $reply): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                            <ol class="children">
                                <li class="comment">
                                    <aside class="comment-body">
                                        <div class="comment-meta">
                                            <div class="comment-author vcard">
                                                <img src="<?php echo e(asset('frontend/assets/images/avatar.png')); ?>" class="avatar" alt="image">
                                                <b class="fn"><?php echo e($reply->user->name); ?></b>
                                                <span class="says"><?php echo e(__('frontend.says:')); ?></span>
                                            </div>

                                            <div class="comment-metadata">
                                                <a href="javascript:;">
                                                    <span><?php echo e(date('M, d, Y H:i', strtotime($reply->created_at))); ?></span>
                                                </a>
                                            </div>
                                        </div>

                                        <div class="comment-content">
                                            <p><?php echo e($reply->comment); ?></p>
                                        </div>

                                        <div class="reply">
                                            <?php if($loop->last): ?>
                                            <a href="#" class="comment-reply-link" data-toggle="modal"
                                                data-target="#exampleModal-<?php echo e($comment->id); ?>"><?php echo e(__('frontend.Reply')); ?></a>
                                            <?php endif; ?>

                                            <span class="delete-msg" style="margin-left: auto;" data-id="<?php echo e($reply->id); ?>">
                                                <i class="fa fa-trash"></i>
                                            </span>
                                        </div>
                                    </aside>
                                </li>
                            </ol>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>

                        </li>

                        <!-- Modal -->
                        <div class="comment_modal">
                            <div class="modal fade" id="exampleModal-<?php echo e($comment->id); ?>" tabindex="-1" aria-labelledby="exampleModalLabel"
                                aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="exampleModalLabel"><?php echo e(__('frontend.Write Your Comment')); ?></h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <form action="<?php echo e(route('news-comment-replay')); ?>" method="POST">
                                                <?php echo csrf_field(); ?>
                                                <textarea name="replay" cols="30" rows="7" placeholder="Type. . ."></textarea>
                                                <input type="hidden" name="news_id" value="<?php echo e($news->id); ?>">
                                                <input type="hidden" name="parent_id" value="<?php echo e($comment->id); ?>">

                                                <button type="submit"><?php echo e(__('frontend.submit')); ?></button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </ol>

                    <div class="comment-respond">
                        <h3 class="comment-reply-title"><?php echo e(__('frontend.Leave a Reply')); ?></h3>

                        <form action="<?php echo e(route('news-comment')); ?>" method="POST" class="comment-form">
                            <?php echo csrf_field(); ?>
                            <p class="comment-notes">

                            </p>
                            <p class="comment-form-comment">
                                <label for="comment"><?php echo e(__('frontend.Comment')); ?></label>
                                <textarea name="comment" id="comment" cols="45" rows="5" maxlength="65525"
                                    required="required"></textarea>
                                <input type="hidden" name="news_id" value="<?php echo e($news->id); ?>">
                                <input type="hidden" name="parent_id" value="">

                                <?php $__errorArgs = ['comment'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <p class="text-danger"><?php echo e($message); ?></p>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </p>

                            <p class="form-submit mb-0">
                                <input type="submit" name="submit" id="submit" class="submit" value="Post Comment">
                            </p>
                        </form>
                    </div>
                </div>
                <?php else: ?>
                <div class="card my-5">
                    <div class="card-body">
                        <h5 class="p-0"><?php echo e(__('frontend.Please')); ?> <a href="<?php echo e(route('login')); ?>"><?php echo e(__('frontend.Login')); ?></a> <?php echo e(__('frontend.to comment in the post!')); ?></h5>
                    </div>
                </div>
                <?php endif; ?>



                <!-- end comment -->

                <div class="row">
                    <div class="col-md-6">
                        <div class="single_navigation-prev">
                            <?php if($previousPost): ?>
                            <a href="<?php echo e(route('news-details', $previousPost->slug)); ?>">
                                <span><?php echo e(__('frontend.previous post')); ?></span>
                                <?php echo truncate($previousPost->title); ?>

                            </a>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="single_navigation-next text-left text-md-right">
                            <?php if($nextPost): ?>
                            <a href="<?php echo e(route('news-details', $nextPost->slug)); ?>">
                                <span><?php echo e(__('frontend.next post')); ?></span>
                                <?php echo truncate($nextPost->title); ?>

                            </a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>

                <?php if($ad->view_page_ad_status == 1): ?>
                <div class="small_add_banner mb-5 pb-4">
                    <div class="small_add_banner_img">
                        <a href="<?php echo e($ad->view_page_ad_url); ?>">
                            <img src="<?php echo e(asset($ad->view_page_ad)); ?>" alt="adds">
                        </a>
                    </div>
                </div>
                <?php endif; ?>


                <div class="clearfix"></div>

                <?php if(count($relatedPosts) > 0): ?>
                <div class="related-article">
                    <h4>
                        <?php echo e(__('frontend.you may also like')); ?>

                    </h4>
                    <div class="article__entry-carousel-three">
                        <?php $__currentLoopData = $relatedPosts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="item">
                            <!-- Post Article -->
                            <div class="article__entry">
                                <div class="article__image">
                                    <a href="<?php echo e(route('news-details', $post->slug)); ?>">
                                        <img src="<?php echo e(asset($post->image)); ?>" alt="" class="img-fluid">
                                    </a>
                                </div>
                                <div class="article__content">
                                    <ul class="list-inline">
                                        <li class="list-inline-item">
                                            <span class="text-primary">
                                                <?php echo e(__('frontend.by')); ?> <?php echo e($post->auther->name); ?>

                                            </span>
                                        </li>
                                        <li class="list-inline-item">
                                            <span>
                                                <?php echo e(date('M d, Y', strtotime($post->created_at))); ?>

                                            </span>
                                        </li>

                                    </ul>
                                    <h5>
                                        <a href="<?php echo e(route('news-details', $post->slug)); ?>">
                                            <?php echo truncate($post->title); ?>

                                        </a>
                                    </h5>

                                </div>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
                <?php endif; ?>

            </div>
            <div class="col-md-4">
                <div class="sticky-top">
                    <aside class="wrapper__list__article ">
                        <!-- <h4 class="border_section">Sidebar</h4> -->

                        <div class="wrapper__list__article-small">
                            <?php $__currentLoopData = $recentNews; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $news): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($loop->index <= 2): ?>
                            <div class="mb-3">
                                <!-- Post Article -->
                                <div class="card__post card__post-list">
                                    <div class="image-sm">
                                        <a href="<?php echo e(route('news-details', $news->slug)); ?>">
                                            <img src="<?php echo e(asset($news->image)); ?>" class="img-fluid" alt="">
                                        </a>
                                    </div>


                                    <div class="card__post__body ">
                                        <div class="card__post__content">

                                            <div class="card__post__author-info mb-2">
                                                <ul class="list-inline">
                                                    <li class="list-inline-item">
                                                        <span class="text-primary">
                                                            <?php echo e(__('frontend.by')); ?> <?php echo e($news->auther->name); ?>

                                                        </span>
                                                    </li>
                                                    <li class="list-inline-item">
                                                        <span class="text-dark text-capitalize">

                                                            <?php echo e(date('M d, Y', strtotime($news->created_at))); ?>

                                                        </span>
                                                    </li>

                                                </ul>
                                            </div>
                                            <div class="card__post__title">
                                                <h6>
                                                    <a href="<?php echo e(route('news-details', $news->slug)); ?>">
                                                        <?php echo truncate($news->title); ?>

                                                    </a>
                                                </h6>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php endif; ?>

                            <?php if($loop->index === 3): ?>

                            <!-- Post Article -->
                            <div class="article__entry">
                                <div class="article__image">
                                    <a href="<?php echo e(route('news-details', $news->slug)); ?>">
                                        <img  src="<?php echo e(asset($news->image)); ?>" alt="" class="img-fluid">
                                    </a>
                                </div>
                                <div class="article__content">
                                    <div class="article__category">
                                        <?php echo e($news->category->name); ?>

                                    </div>
                                    <ul class="list-inline">
                                        <li class="list-inline-item">
                                            <span class="text-primary">
                                                <?php echo e(__('frontend.by')); ?> <?php echo e($news->auther->name); ?>

                                            </span>
                                        </li>
                                        <li class="list-inline-item">
                                            <span class="text-dark text-capitalize">
                                                <?php echo e(date('M d, Y', strtotime($news->created_at))); ?>

                                            </span>
                                        </li>

                                    </ul>
                                    <h5>
                                        <a href="<?php echo e(route('news-details', $news->slug)); ?>">
                                            <?php echo truncate($news->title); ?>

                                        </a>
                                    </h5>
                                    <p>
                                       <?php echo truncate($news->content, 160); ?>

                                    </p>
                                    <a href="<?php echo e(route('news-details', $news->slug)); ?>" class="btn btn-outline-primary mb-4 text-capitalize"> <?php echo e(__('frontend.read more')); ?></a>
                                </div>
                            </div>
                            <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                        </div>
                    </aside>

                    <!-- social media -->
                    <aside class="wrapper__list__article">
                        <h4 class="border_section"><?php echo e(__('frontend.stay conected')); ?></h4>
                        <!-- widget Social media -->
                        <div class="wrap__social__media">
                            <?php $__currentLoopData = $socialCounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $socialCount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <a href="<?php echo e($socialCount->url); ?>" target="_blank">
                                <div class="social__media__widget mt-2" style="background-color:<?php echo e($socialCount->color); ?>">
                                    <span class="social__media__widget-icon">
                                        <i class="<?php echo e($socialCount->icon); ?>"></i>
                                    </span>
                                    <span class="social__media__widget-counter">
                                        <?php echo e($socialCount->fan_count); ?> <?php echo e($socialCount->fan_type); ?>

                                    </span>
                                    <span class="social__media__widget-name">
                                        <?php echo e($socialCount->button_text); ?>

                                    </span>
                                </div>
                            </a>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </div>
                    </aside>
                    <!-- End social media -->

                    <aside class="wrapper__list__article">
                        <h4 class="border_section"><?php echo e(__('frontend.tags')); ?></h4>
                        <div class="blog-tags p-0">
                            <ul class="list-inline">

                                <?php $__currentLoopData = $mostCommonTags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                <li class="list-inline-item">
                                    <a href="<?php echo e(route('news', ['tag' => $tag->name])); ?>">
                                        #<?php echo e($tag->name); ?> (<?php echo e($tag->count); ?>)
                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                            </ul>
                        </div>
                    </aside>

                    <aside class="wrapper__list__article">
                        <h4 class="border_section"><?php echo e(__('frontend.newsletter')); ?></h4>
                        <!-- Form Subscribe -->
                        <div class="widget__form-subscribe bg__card-shadow">
                            <h6>
                                <?php echo e(__('frontend.The most important world news and events of the day')); ?>.
                            </h6>
                            <p><small><?php echo e(__('frontend.Get magzrenvi daily newsletter on your inbox')); ?>.</small></p>
                            <form action="" class="newsletter-form">
                                <div class="input-group ">
                                    <input type="text" class="form-control" name="email" placeholder="Your email address">
                                    <div class="input-group-append">
                                        <button class="btn btn-primary newsletter-button" type="submit"><?php echo e(__('frontend.sign up')); ?></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </aside>

                    <?php if($ad->side_bar_ad_status == 1): ?>
                    <aside class="wrapper__list__article">
                        <h4 class="border_section"><?php echo e(__('frontend.Advertise')); ?></h4>
                        <a href="<?php echo e($ad->side_bar_ad_url); ?>">
                            <figure>
                                <img src="<?php echo e(asset($ad->side_bar_ad)); ?>" alt="" class="img-fluid">
                            </figure>
                        </a>
                    </aside>
                    <?php endif; ?>

                </div>
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('content'); ?>
<script>
    $(document).ready(function(){
        $('.delete-msg').on('click', function(e) {
                e.preventDefault();
                let id = $(this).data('id');
                Swal.fire({
                    title: '<?php echo e(__("frontend.Are you sure?")); ?>',
                    text: "<?php echo e(__("frontend.You won'\t be able to revert this!")); ?>",
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: '<?php echo e(__("frontend.Yes, delete it!")); ?>'
                }).then((result) => {
                    if (result.isConfirmed) {

                        $.ajax({
                            method: 'DELETE',
                            url: "<?php echo e(route('news-comment-destroy')); ?>",
                            data:{id:id},
                            success: function(data) {
                                if (data.status === 'success') {
                                    Swal.fire(
                                        'Deleted!',
                                        data.message,
                                        'success'
                                    )
                                    window.location.reload();
                                } else if (data.status === 'error') {
                                    Swal.fire(
                                        'Error!',
                                        data.message,
                                        'error'
                                    )
                                }
                            },
                            error: function(xhr, status, error) {
                                console.error(error);
                            }
                        });


                    }
                })
            })

    })
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('frontend.layouts.master', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH C:\Users\TUF\Documents\My project\New folder\kaknnea-com\resources\views/frontend/news-details.blade.php ENDPATH**/ ?>