<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h1><?php echo e(__('admin.Pending News')); ?></h1>
        </div>

        <div class="card card-primary">
            <div class="card-header">
                <h4><?php echo e(__('admin.All Pending')); ?></h4>

            </div>

            <?php
                if(canAccess(['news all-access'])){
                    $news = \App\Models\News::with('category')
                    ->where('is_approved', 0)
                    ->orderBy('id', 'DESC')
                    ->get();
                }else {
                    $news = \App\Models\News::with('category')
                    ->where('is_approved', 0)
                    ->where('auther_id', auth()->guard('admin')->user()->id)
                    ->orderBy('id', 'DESC')
                    ->get();
                }
            ?>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-striped" id="table">
                        <thead>
                            <tr>
                                <th class="text-center">
                                    #
                                </th>
                                <th><?php echo e(__('admin.Image')); ?></th>
                                <th><?php echo e(__('admin.Title')); ?></th>
                                <th><?php echo e(__('admin.Category')); ?></th>
                                <th><?php echo e(__('admin.Approve')); ?></th>

                                <th><?php echo e(__('admin.Action')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $news; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($item->id); ?></td>
                                    <td >
                                        <img src="<?php echo e(asset($item->image)); ?>" width="100" alt="">
                                    </td>

                                    <td><?php echo e($item->title); ?></td>
                                    <td><?php echo e($item->category->name); ?></td>
                                    <td>
                                        <form action="" id="approve_form">
                                            <input type="hidden" name="id" value="<?php echo e($item->id); ?>">
                                            <div class="form-group">
                                                <select name="is_approve" class="form-control" id="approve-input">
                                                    <option value="0"><?php echo e(__('admin.Pending')); ?></option>
                                                    <option value="1"><?php echo e(__('admin.Approved')); ?></option>
                                                </select>
                                            </div>
                                        </form>
                                    </td>

                                    <td>
                                        <a href="<?php echo e(route('admin.news.edit', $item->id)); ?>"
                                            class="btn btn-primary"><i class="fas fa-edit"></i></a>
                                        <a href="<?php echo e(route('admin.news.destroy', $item->id)); ?>"
                                            class="btn btn-danger delete-item"><i
                                                class="fas fa-trash-alt"></i></a>
                                        <a href="<?php echo e(route('admin.news-copy', $item->id)); ?>"
                                            class="btn btn-primary"><i class="fas fa-copy"></i></i></a>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                        </tbody>
                    </table>
                </div>
            </div>


        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>

        $("#table").dataTable({
            "columnDefs": [
                {
                    "sortable": false,
                    "targets": [2, 3]
                }
            ],
            "order": [
                [0, 'desc']
            ]
        });


        $(document).ready(function(){

            $('#approve-input').on('change', function(){
                $('#approve_form').submit();
            });

            $('#approve_form').on('submit', function(e){
                e.preventDefault();

                let data = $(this).serialize();
                $.ajax({
                    method: 'PUT',
                    url: "<?php echo e(route('admin.approve.news')); ?>",
                    data: data,
                    success: function(data){
                        if(data.status === 'success'){
                            Toast.fire({
                                icon: 'success',
                                title: data.message
                            })

                            window.location.reload();
                        }
                    },
                    error: function(error){
                        console.log(error);
                    }
                })
            })
        })
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.master', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH C:\Users\TUF\Documents\My project\project wb\kaknnea-com\resources\views/admin/pending-news/index.blade.php ENDPATH**/ ?>