<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h1><?php echo e(__('admin.Contact Page')); ?></h1>
        </div>

        <div class="card card-primary">
            <div class="card-header">
                <h4><?php echo e(__('admin.Contact Page')); ?></h4>

            </div>

            <div class="card-body">
                <ul class="nav nav-tabs" id="myTab2" role="tablist">
                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="nav-item">
                            <a class="nav-link <?php echo e($loop->index === 0 ? 'active' : ''); ?>" id="home-tab2" data-toggle="tab"
                                href="#home-<?php echo e($language->lang); ?>" role="tab" aria-controls="home"
                                aria-selected="true"><?php echo e($language->name); ?></a>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </ul>
                <div class="tab-content tab-bordered" id="myTab3Content">
                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $contact = \App\Models\Contact::where('language', $language->lang)->first();
                        ?>
                        <div class="tab-pane fade show <?php echo e($loop->index === 0 ? 'active' : ''); ?>"
                            id="home-<?php echo e($language->lang); ?>" role="tabpanel" aria-labelledby="home-tab2">
                            <div class="card-body">
                                <form action="<?php echo e(route('admin.contact.update')); ?>" method="POST">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('PUT'); ?>

                                    <div class="form-group">
                                        <label for=""><?php echo e(__('admin.Address')); ?></label>
                                       <input type="text" class="form-control" name="address" value="<?php echo e(@$contact->address); ?>">
                                       <input type="hidden" class="form-control" name="language" value="<?php echo e($language->lang); ?>">


                                    </div>

                                    <div class="form-group">
                                        <label for=""><?php echo e(__('admin.Phone')); ?></label>
                                       <input type="text" class="form-control" name="phone" value="<?php echo e(@$contact->phone); ?>">

                                    </div>

                                    <div class="form-group">
                                        <label for=""><?php echo e(__('admin.Email')); ?></label>
                                       <input type="text" class="form-control" name="email" value="<?php echo e(@$contact->email); ?>">

                                    </div>

                                    <button type="submit" class="btn btn-primary"><?php echo e(__('admin.Save')); ?></button>
                                </form>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>
            </div>


        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>
        <?php if($errors->any()): ?>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                Toast.fire({
                    icon: 'error',
                    title: "<?php echo e($error); ?>"
                });
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>

        if (jQuery().summernote) {
            <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            $(".summernote-<?php echo e($language->lang); ?>").summernote({
                dialogsInBody: true,
                minHeight: 250,
            });
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.master', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH C:\Users\TUF\Documents\My project\project wb\kaknnea-com\resources\views/admin/contact-page/index.blade.php ENDPATH**/ ?>