<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h1><?php echo e(__('admin.Categories')); ?></h1>
        </div>

        <div class="card card-primary">
            <div class="card-header">
                <h4><?php echo e(__('admin.All Categories')); ?></h4>
                <div class="card-header-action">
                    <a href="<?php echo e(route('admin.category.create')); ?>" class="btn btn-primary">
                        <i class="fas fa-plus"></i> <?php echo e(__('admin.Create new')); ?>

                    </a>
                </div>
            </div>

            <div class="card-body">
                <ul class="nav nav-tabs" id="myTab2" role="tablist">
                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="nav-item">
                            <a class="nav-link <?php echo e($loop->index === 0 ? 'active' : ''); ?>" id="home-tab2" data-toggle="tab"
                                href="#home-<?php echo e($language->lang); ?>" role="tab" aria-controls="home"
                                aria-selected="true"><?php echo e($language->name); ?></a>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </ul>
                <div class="tab-content tab-bordered" id="myTab3Content">
                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $categories = \App\Models\Category::where('language', $language->lang)->orderByDesc('id')->get();
                        ?>
                        <div class="tab-pane fade show <?php echo e($loop->index === 0 ? 'active' : ''); ?>"
                            id="home-<?php echo e($language->lang); ?>" role="tabpanel" aria-labelledby="home-tab2">
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-striped" id="table-<?php echo e($language->lang); ?>">
                                        <thead>
                                            <tr>
                                                <th class="text-center">
                                                    #
                                                </th>
                                                <th><?php echo e(__('admin.Name')); ?></th>
                                                <th><?php echo e(__('admin.Language Code')); ?></th>
                                                <th><?php echo e(__('admin.In Nav')); ?></th>
                                                <th><?php echo e(__('admin.Status')); ?></th>
                                                <th><?php echo e(__('admin.Action')); ?></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($category->id); ?></td>
                                                    <td><?php echo e($category->name); ?></td>
                                                    <td><?php echo e($category->language); ?></td>
                                                    <td>
                                                        <?php if($category->show_at_nav == 1): ?>
                                                            <span class="badge badge-primary"><?php echo e(__('admin.Yes')); ?></span>
                                                        <?php else: ?>
                                                            <span class="badge badge-danger"><?php echo e(__('admin.No')); ?></span>
                                                        <?php endif; ?>

                                                    </td>
                                                    <td>
                                                        <?php if($category->status == 1): ?>
                                                            <span class="badge badge-success"><?php echo e(__('admin.Yes')); ?></span>
                                                        <?php else: ?>
                                                            <span class="badge badge-danger"><?php echo e(__('admin.No')); ?></span>
                                                        <?php endif; ?>

                                                    </td>


                                                    <td>
                                                        <a href="<?php echo e(route('admin.category.edit', $category->id)); ?>" class="btn btn-primary"><i
                                                                class="fas fa-edit"></i></a>
                                                        <a href="<?php echo e(route('admin.category.destroy', $category->id)); ?>" class="btn btn-danger delete-item"><i
                                                                class="fas fa-trash-alt"></i></a>
                                                    </td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>
            </div>


        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>
        <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            $("#table-<?php echo e($language->lang); ?>").dataTable({
                "columnDefs": [{
                    "sortable": false,
                    "targets": [2, 3]
                }]
            });
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.master', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH C:\Users\TUF\Documents\My project\New folder\kaknnea-com\resources\views/admin/category/index.blade.php ENDPATH**/ ?>